using System;
using System.Collections.Generic;
using System.Text;
using System.Threading;
using ThreadLibrary;

namespace ThreadStarten
{
   public class Program
   {
      public static void Main(string[] args)
      {
         FileIO fio = new FileIO();

         ThreadStart ts1 = new ThreadStart(fio.WriteToFile);
         ThreadStart ts2 = new ThreadStart(fio.WriteToFile);

         Thread t1 = new Thread(ts1);
         Thread t2 = new Thread(ts2);

         t1.Name = "Thread 1";
         t2.Name = "Thread 2";

         t1.Start();
         t2.Start();

         Console.ReadLine();
      }
   }
}
