using System;
using System.Collections.Generic;
using System.Text;
using System.Threading;
using ThreadLibrary;

namespace ThreadStarten
{
   public class Program
   {
      public static void Main(string[] args)
      {
         Tasks tsk = new Tasks();

         ThreadStart ts = new ThreadStart(tsk.Action1);
         ParameterizedThreadStart pts = new ParameterizedThreadStart(tsk.Action2);

         Thread t1 = new Thread(ts);
         Thread t2 = new Thread(pts);

         t1.Name = "Thread 1";
         t2.Name = "Thread 2";

         t1.Start();
         t2.Start("Hauptprogramm");

         //t1.Suspend();
         //int wait = new Random().Next(10000);
         //Console.WriteLine("Suspend for " + wait.ToString() + "Milliseconds");
         //Thread.Sleep(wait);
         //t1.Resume();

         int wait = new Random().Next(10000);
         Console.WriteLine("Wait " + wait.ToString() + "ms");
         Thread.Sleep(wait);
         t1.Abort();
         t1.Join();
         Console.WriteLine("Nach Join");
      }
   }
}
